class Post {
  final int id;
  final int userId;
  final String title;
  final String body;

  Post({
    required this.id,
    required this.userId,
    required this.title,
    required this.body,
  });

  Post.fromJSON(Map<String, dynamic> json)
      : id = json["id"],
        userId = json["userId"],
        title = json["title"],
        body = json["body"];

  @override
  String toString() =>
      "${this.runtimeType}: id=$id, userId=$userId, title=$title, body=${body.substring(0, 29)}";
}
